<?xml version="1.0" encoding="utf-8"?>
<ScrollView
    xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    >
<LinearLayout
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical"
    tools:context=".Fragment.IndexFragment"
    android:background="@drawable/background"
    >

    <!-- TODO: Update blank fragment layout -->



        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical" />


    <LinearLayout
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:background="#ffffff">
    <LinearLayout
        android:id="@+id/search_linear"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_gravity="top"
        android:layout_margin="20dp"
        android:background="@drawable/shape_round_corner"
        android:orientation="horizontal">
        <SearchView
            android:layout_width="wrap_content"
            android:layout_height="match_parent"
            />

        <TextView
            android:id="@+id/textView"
            android:layout_width="wrap_content"
            android:layout_height="match_parent"
            android:layout_weight="1"
            android:gravity="center_vertical"
            android:text="你不知道的白血病知识" />
    </LinearLayout>
</LinearLayout>
    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="horizontal"
        android:padding="10dp">

        <LinearLayout
            android:layout_width="wrap_content"
            android:layout_height="190dp"
            android:orientation="vertical">

            <LinearLayout
                android:id="@+id/rec_linear"
                android:layout_width="190dp"
                android:layout_height="76dp"
                android:layout_margin="10dp"
                android:background="@drawable/shape_round2_corner"
                android:orientation="horizontal"
                android:padding="5dp"
                android:elevation="10dp">

                <ImageView
                    android:layout_marginRight="10dp"
                    android:layout_width="40dp"
                    android:layout_height="40dp"
                    android:layout_gravity="center_vertical"
                    android:src="@drawable/friends" />

                <LinearLayout
                    android:layout_width="91dp"
                    android:layout_height="wrap_content"
                    android:orientation="vertical"
                    android:elevation="10dp">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="15dp"
                        android:text="好友推荐"
                        android:textSize="17dp"
                        android:textStyle="bold" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="看看好友动态"
                        android:textSize="13dp" />

                </LinearLayout>

                <ImageView
                    android:id="@+id/imageView"
                    android:layout_width="17dp"
                    android:layout_height="55dp"
                    android:src="@drawable/forward" />

            </LinearLayout>

            <LinearLayout
                android:id="@+id/kepu_linear"
                android:layout_width="189dp"
                android:layout_height="76dp"
                android:layout_margin="10dp"
                android:background="@drawable/shape_round2_corner"
                android:orientation="horizontal"
                android:padding="5dp"
                android:elevation="10dp"
                >

                <ImageView
                    android:id="@+id/imageView2"
                    android:layout_marginRight="10dp"
                    android:layout_width="40dp"
                    android:layout_height="40dp"
                    android:layout_gravity="center_vertical"
                    android:src="@drawable/kepu" />

                <LinearLayout
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:orientation="vertical">

                    <TextView
                        android:id="@+id/textView2"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="15dp"
                        android:text="科普"
                        android:textSize="17dp"
                        android:textStyle="bold" />

                    <TextView
                        android:id="@+id/textView3"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="白血病相关科普"
                        android:textSize="13dp" />

                </LinearLayout>

                <ImageView
                    android:id="@+id/imageView3"
                    android:layout_width="17dp"
                    android:layout_height="55dp"
                    android:src="@drawable/forward" />
            </LinearLayout>


        </LinearLayout>

        <LinearLayout
            android:id="@+id/clock_linear"
            android:layout_width="match_parent"
            android:layout_height="170dp"
            android:layout_gravity="top"
            android:layout_margin="10dp"
            android:background="#ffffff"
            android:orientation="vertical"
            android:elevation="10dp">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal"
                >

                <TextView
                    android:id="@+id/textView4"
                    android:layout_width="140dp"
                    android:layout_height="match_parent"
                    android:gravity="center"
                    android:text="   服药提醒"
                    android:textSize="17dp"
                    android:textStyle="bold" />

                <ImageView
                    android:id="@+id/imageView4"
                    android:layout_width="17dp"
                    android:layout_height="55dp"

                    android:src="@drawable/forward" />
            </LinearLayout>

            <TextView
                android:id="@+id/textView5"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:layout_margin="10dp"
                android:gravity="center"
                android:text="距下一次服药\n1小时10分钟"
                android:textSize="13dp" />

            <ImageView
                android:id="@+id/imageView5"
                android:layout_width="40dp"
                android:layout_height="40dp"
                android:src="@drawable/clock"
                android:layout_gravity="center"/>

        </LinearLayout>

    </LinearLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        >

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="156dp"
            android:layout_margin="20dp"
            android:background="#ffffff"
            android:orientation="vertical"
            android:padding="20dp"
            android:elevation="10dp">

            <TextView
                android:id="@+id/textView6"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginBottom="20dp"
                android:text="资讯分类"
                android:textSize="17dp"
                android:textStyle="bold" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal">

                <LinearLayout
                    android:id="@+id/company"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:orientation="vertical">

                    <ImageView
                        android:id="@+id/imageView6"
                        android:layout_width="47dp"
                        android:layout_height="40dp"
                        android:src="@drawable/company" />

                    <TextView
                        android:id="@+id/textView7"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="5dp"
                        android:layout_marginTop="8dp"
                        android:text="公司" />
                </LinearLayout>

                <LinearLayout
                    android:id="@+id/ten"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="30dp"
                    android:orientation="vertical">

                    <ImageView
                        android:id="@+id/imageView7"
                        android:layout_width="40dp"
                        android:layout_height="40dp"
                        android:src="@drawable/ten" />

                    <TextView
                        android:id="@+id/textView8"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="8dp"
                        android:text="红十字" />

                </LinearLayout>

                <LinearLayout
                    android:id="@+id/government"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="30dp"
                    android:orientation="vertical">

                    <ImageView
                        android:id="@+id/imageView8"
                        android:layout_width="40dp"
                        android:layout_height="40dp"
                        android:src="@drawable/government" />

                    <TextView
                        android:id="@+id/textView9"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="5dp"
                        android:layout_marginTop="8dp"
                        android:text="政府" />

                </LinearLayout>

                <LinearLayout
                    android:id="@+id/charity"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="30dp"
                    android:orientation="vertical">

                    <ImageView
                        android:id="@+id/imageView9"
                        android:layout_width="40dp"
                        android:layout_height="40dp"
                        android:src="@drawable/charity" />

                    <TextView
                        android:id="@+id/textView10"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="5dp"
                        android:layout_marginTop="8dp"
                        android:text="慈善" />
                </LinearLayout>

                <LinearLayout
                    android:id="@+id/all"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="30dp"
                    android:orientation="vertical">

                    <ImageView
                        android:id="@+id/imageView10"
                        android:layout_width="40dp"
                        android:layout_height="40dp"
                        android:src="@drawable/all" />

                    <TextView
                        android:id="@+id/textView11"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="5dp"
                        android:layout_marginTop="8dp"
                        android:text="全部" />
                </LinearLayout>
            </LinearLayout>

        </LinearLayout>
    </LinearLayout>

    <TextView
        android:id="@+id/textView12"
        android:layout_width="match_parent"
        android:layout_height="20dp"
        android:layout_marginLeft="20dp"
        android:text="精选资讯"
        android:textSize="17dp"
        android:textStyle="bold" />

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="188dp"
        android:layout_margin="20dp"
        android:background="#ffffff">

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/recommend_news"
            android:layout_width="match_parent"
            android:layout_height="wrap_content" />

    </LinearLayout>

</LinearLayout>
</ScrollView>